Data Fields

# NWidgetPart Struct Reference
[Hierarchical widget parts]

Partial widget specification to allow NWidgets to be written nested. More...

`#include <widget_type.h>`

## Data Fields
WidgetType | type
| Type of the part.
union {
Point xy
| Part with an x/y size.
NWidgetPartDataTip data_tip
| Part with a data/tooltip.
NWidgetPartWidget widget
| Part with a start of a widget.
NWidgetPartPaddings padding
| Part with paddings.
NWidgetPartPIP pip
| Part with pre/inter/post spaces.
NWidgetPartTextLines text_lines
| Part with text line data.
NWidgetFunctionType * func_ptr
| Part with a function call.
NWidContainerFlags cont_flags
| Part with container flags.
} | u

## Detailed Description

Partial widget specification to allow NWidgets to be written nested.

Definition at line 905 of file widget_type.h.

## Field Documentation

WidgetType NWidgetPart::type

Type of the part.

See also:
  NWidgetPartType.

Definition at line 906 of file widget_type.h.

Referenced by EndContainer(), MakeNWidget(), MakeWidgetTree(), NWidget(), NWidgetFunction(), SetDataTip(), SetFill(), SetMinimalSize(), SetMinimalTextLines(), SetPadding(), SetPIP(), SetResize(), and SetScrollbar().

The documentation for this struct was generated from the following file:

- src/widget_type.h